Index: /branches/NERC/dev_r5518_GO6_CO2_cmip/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml
===================================================================
--- /branches/NERC/dev_r5518_GO6_CO2_cmip/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 9378)
+++ /branches/NERC/dev_r5518_GO6_CO2_cmip/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 9379)
@@ -168,5 +168,5 @@
        <field id="C14B_INV"    field_ref="C14B_E3T"                                 unit="m"   grid_ref="vert_sum" />
        <!-- AGE : variables available with key_age -->
-       <field id="Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr"         />
+       <field id="Age"        long_name="Sea Water Age Since Surface contact"       unit="yr"         />
        <field id="Age_E3T"    long_name="Age * E3T"                                 unit="yr * m"  > Age * e3t </field >
        <field id="Age_INV"    field_ref="Age_E3T"                                   unit="yr * m"   grid_ref="vert_sum" />
@@ -637,7 +637,7 @@
 
        <!-- AGE : variables available with key_age -->
-       <field id="ATF_Age"        long_name="Sea Water Age Asselin Filter Trend" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
-       <field id="ATF_Age_E3T"    long_name="ATF_Age * E3T"                             unit="yr m/s" > ATF_Age * e3t </field>
-       <field id="ATF_Age_INV"    field_ref="ATF_Age_E3T" long_name="ATF_Age Inventory" unit="yr m/s" grid_ref="vert_sum" />
+       <field id="ATF_Age"        long_name="Sea Water Age Asselin Filter Trend"           unit="yr/s"         />
+       <field id="ATF_Age_E3T"    long_name="ATF_Age * E3T"                                unit="yr m/s" > ATF_Age * e3t </field>
+       <field id="ATF_Age_INV"    field_ref="ATF_Age_E3T" long_name="ATF_Age Inventory"    unit="yr m/s" grid_ref="vert_sum" />
      </field_group>
     
@@ -1630,5 +1630,5 @@
 
        <!-- AGE : variables available with key_age -->
-       <field id="TOT_Age"        long_name="Sea Water Age Total Trend" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="TOT_Age"        long_name="Sea Water Age Total Trend"                  unit="yr/s"         />
        <field id="TOT_Age_E3T"    long_name="TOT_Age * E3T"                              unit="yr m/s" > TOT_Age * e3t </field>
        <field id="TOT_Age_INV"    field_ref="TOT_Age_E3T"  long_name="TOT_Age Inventory" unit="yr m/s" grid_ref="vert_sum" />
@@ -1988,108 +1988,108 @@
     <field_group id="trendCFC11_long" >
           <!-- cfc11 -->
-          <field field_ref="TOT_CFC11"     name="TOT_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="XAD_CFC11"     name="XAD_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="YAD_CFC11"     name="YAD_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="ZAD_CFC11"     name="ZAD_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="TAD_CFC11"     name="TAD_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="LDF_CFC11"     name="LDF_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="BBL_CFC11"     name="BBL_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="FOR_CFC11"     name="FOR_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="ZDF_CFC11"     name="ZDF_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="ZDP_CFC11"     name="ZDP_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <!-- <field field_ref="DMP_CFC11"     name="DMP_CFC11"     standard_name="CFC-11_Concentration"             /> -->
-          <field field_ref="SMS_CFC11"     name="SMS_CFC11"     standard_name="CFC-11_Concentration"                  />
-          <field field_ref="ATF_CFC11"     name="ATF_CFC11"     standard_name="CFC-11_Concentration"                  /> 
-          <field field_ref="ISO_CFC11"     name="ISO_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TOT_CFC11"     name="TOT_CFC11"     />
+          <field field_ref="XAD_CFC11"     name="XAD_CFC11"     /> 
+          <field field_ref="YAD_CFC11"     name="YAD_CFC11"     />
+          <field field_ref="ZAD_CFC11"     name="ZAD_CFC11"     />
+          <field field_ref="TAD_CFC11"     name="TAD_CFC11"     />
+          <field field_ref="LDF_CFC11"     name="LDF_CFC11"     />
+          <field field_ref="BBL_CFC11"     name="BBL_CFC11"     />
+          <field field_ref="FOR_CFC11"     name="FOR_CFC11"     />
+          <field field_ref="ZDF_CFC11"     name="ZDF_CFC11"     />
+          <field field_ref="ZDP_CFC11"     name="ZDP_CFC11"     />
+          <!-- <field field_ref="DMP_CFC11"     name="DMP_CFC11" /> -->
+          <field field_ref="SMS_CFC11"     name="SMS_CFC11"     />
+          <field field_ref="ATF_CFC11"     name="ATF_CFC11"     />
+          <field field_ref="ISO_CFC11"     name="ISO_CFC11"     />
    </field_group>
 
     <field_group id="trendCFC12_long" >
           <!-- cfc12 -->
-          <field field_ref="TOT_CFC12"     name="TOT_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="XAD_CFC12"     name="XAD_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="YAD_CFC12"     name="YAD_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="ZAD_CFC12"     name="ZAD_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="TAD_CFC12"     name="TAD_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="LDF_CFC12"     name="LDF_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="BBL_CFC12"     name="BBL_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="FOR_CFC12"     name="FOR_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="ZDF_CFC12"     name="ZDF_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="ZDP_CFC12"     name="ZDP_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <!-- <field field_ref="DMP_CFC12"     name="DMP_CFC12"     standard_name="CFC-12_Concentration"             /> -->
-          <field field_ref="SMS_CFC12"     name="SMS_CFC12"     standard_name="CFC-12_Concentration"                  />
-          <field field_ref="ATF_CFC12"     name="ATF_CFC12"     standard_name="CFC-12_Concentration"                  /> 
-          <field field_ref="ISO_CFC12"     name="ISO_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TOT_CFC12"     name="TOT_CFC12"     />
+          <field field_ref="XAD_CFC12"     name="XAD_CFC12"     />
+          <field field_ref="YAD_CFC12"     name="YAD_CFC12"     />
+          <field field_ref="ZAD_CFC12"     name="ZAD_CFC12"     />
+          <field field_ref="TAD_CFC12"     name="TAD_CFC12"     />
+          <field field_ref="LDF_CFC12"     name="LDF_CFC12"     />
+          <field field_ref="BBL_CFC12"     name="BBL_CFC12"     />
+          <field field_ref="FOR_CFC12"     name="FOR_CFC12"     />
+          <field field_ref="ZDF_CFC12"     name="ZDF_CFC12"     />
+          <field field_ref="ZDP_CFC12"     name="ZDP_CFC12"     />
+          <!-- <field field_ref="DMP_CFC12"     name="DMP_CFC12" /> -->
+          <field field_ref="SMS_CFC12"     name="SMS_CFC12"     /> 
+          <field field_ref="ATF_CFC12"     name="ATF_CFC12"     />
+          <field field_ref="ISO_CFC12"     name="ISO_CFC12"     />
    </field_group>
 
     <field_group id="trendSF6_long" >
           <!-- sf6 -->
-          <field field_ref="TOT_SF6"      name="TOT_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="XAD_SF6"      name="XAD_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="YAD_SF6"      name="YAD_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="ZAD_SF6"      name="ZAD_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="TAD_SF6"      name="TAD_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="LDF_SF6"      name="LDF_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="BBL_SF6"      name="BBL_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="FOR_SF6"      name="FOR_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="ZDF_SF6"      name="ZDF_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="ZDP_SF6"      name="ZDP_SF6"      standard_name="SF6_Concentration"                     />
-          <!-- <field field_ref="DMP_SF6"      name="DMP_SF6"      standard_name="SF6_Concentration"                /> -->
-          <field field_ref="SMS_SF6"      name="SMS_SF6"      standard_name="SF6_Concentration"                     />
-          <field field_ref="ATF_SF6"      name="ATF_SF6"      standard_name="SF6_Concentration"                     /> 
-          <field field_ref="ISO_SF6"      name="ISO_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="TOT_SF6"      name="TOT_SF6"      />
+          <field field_ref="XAD_SF6"      name="XAD_SF6"      />
+          <field field_ref="YAD_SF6"      name="YAD_SF6"      />
+          <field field_ref="ZAD_SF6"      name="ZAD_SF6"      />
+          <field field_ref="TAD_SF6"      name="TAD_SF6"      />
+          <field field_ref="LDF_SF6"      name="LDF_SF6"      />
+          <field field_ref="BBL_SF6"      name="BBL_SF6"      />
+          <field field_ref="FOR_SF6"      name="FOR_SF6"      />
+          <field field_ref="ZDF_SF6"      name="ZDF_SF6"      />
+          <field field_ref="ZDP_SF6"      name="ZDP_SF6"      />
+          <!-- <field field_ref="DMP_SF6"      name="DMP_SF6" /> -->
+          <field field_ref="SMS_SF6"      name="SMS_SF6"      />
+          <field field_ref="ATF_SF6"      name="ATF_SF6"      />
+          <field field_ref="ISO_SF6"      name="ISO_SF6"      />
    </field_group>
 
     <field_group id="trendAGE_long" >
           <!-- age -->
-          <field field_ref="TOT_Age"      name="TOT_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="XAD_Age"      name="XAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="YAD_Age"      name="YAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="ZAD_Age"      name="ZAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="TAD_Age"      name="TAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="LDF_Age"      name="LDF_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="BBL_Age"      name="BBL_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="FOR_Age"      name="FOR_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="ZDF_Age"      name="ZDF_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="ZDP_Age"      name="ZDP_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <!-- <field field_ref="DMP_Age"      name="DMP_Age"      standard_name="sea_water_age_since_surface_contact" /> -->
-          <field field_ref="SMS_Age"      name="SMS_Age"      standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="ATF_Age"      name="ATF_Age"      standard_name="sea_water_age_since_surface_contact"   /> 
-          <field field_ref="ISO_Age"      name="ISO_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TOT_Age"      name="TOT_Age"      />
+          <field field_ref="XAD_Age"      name="XAD_Age"      />
+          <field field_ref="YAD_Age"      name="YAD_Age"      />
+          <field field_ref="ZAD_Age"      name="ZAD_Age"      />
+          <field field_ref="TAD_Age"      name="TAD_Age"      />
+          <field field_ref="LDF_Age"      name="LDF_Age"      />
+          <field field_ref="BBL_Age"      name="BBL_Age"      />
+          <field field_ref="FOR_Age"      name="FOR_Age"      />
+          <field field_ref="ZDF_Age"      name="ZDF_Age"      />
+          <field field_ref="ZDP_Age"      name="ZDP_Age"      />
+          <!-- <field field_ref="DMP_Age"      name="DMP_Age" /> -->
+          <field field_ref="SMS_Age"      name="SMS_Age"      />
+          <field field_ref="ATF_Age"      name="ATF_Age"      />
+          <field field_ref="ISO_Age"      name="ISO_Age"      />
    </field_group>
 
     <field_group id="trendIDTRA_long" >
           <!-- Ideal tracer -->
-          <field field_ref="TOT_IDTRA"      name="TOT_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="XAD_IDTRA"      name="XAD_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="YAD_IDTRA"      name="YAD_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="ZAD_IDTRA"      name="ZAD_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="TAD_IDTRA"      name="TAD_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="LDF_IDTRA"      name="LDF_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="BBL_IDTRA"      name="BBL_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="FOR_IDTRA"      name="FOR_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="ZDF_IDTRA"      name="ZDF_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="ZDP_IDTRA"      name="ZDP_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <!-- <field field_ref="DMP_IDTRA"      name="DMP_IDTRA"      standard_name="IDTRA_Concentration"          /> -->
-          <field field_ref="SMS_IDTRA"      name="SMS_IDTRA"      standard_name="IDTRA_Concentration"               />
-          <field field_ref="ATF_IDTRA"      name="ATF_IDTRA"      standard_name="IDTRA_Concentration"               /> 
-          <field field_ref="ISO_IDTRA"      name="ISO_IDTRA"      standard_name="IDTRA_Concentration"               />
+          <field field_ref="TOT_IDTRA"      name="TOT_IDTRA"      />
+          <field field_ref="XAD_IDTRA"      name="XAD_IDTRA"      />
+          <field field_ref="YAD_IDTRA"      name="YAD_IDTRA"      />
+          <field field_ref="ZAD_IDTRA"      name="ZAD_IDTRA"      />
+          <field field_ref="TAD_IDTRA"      name="TAD_IDTRA"      />
+          <field field_ref="LDF_IDTRA"      name="LDF_IDTRA"      />
+          <field field_ref="BBL_IDTRA"      name="BBL_IDTRA"      />
+          <field field_ref="FOR_IDTRA"      name="FOR_IDTRA"      />
+          <field field_ref="ZDF_IDTRA"      name="ZDF_IDTRA"      />
+          <field field_ref="ZDP_IDTRA"      name="ZDP_IDTRA"      />
+          <!-- <field field_ref="DMP_IDTRA"      name="DMP_IDTRA" /> -->
+          <field field_ref="SMS_IDTRA"      name="SMS_IDTRA"      />
+          <field field_ref="ATF_IDTRA"      name="ATF_IDTRA"      />
+          <field field_ref="ISO_IDTRA"      name="ISO_IDTRA"      />
    </field_group>
 
     <field_group id="trendC14B_long" >
           <!-- c14 bomb -->
-          <field field_ref="TOT_C14B"      name="TOT_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="XAD_C14B"      name="XAD_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="YAD_C14B"      name="YAD_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="ZAD_C14B"      name="ZAD_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="TAD_C14B"      name="TAD_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="LDF_C14B"      name="LDF_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="BBL_C14B"      name="BBL_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="FOR_C14B"      name="FOR_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="ZDF_C14B"      name="ZDF_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="ZDP_C14B"      name="ZDP_C14B"      standard_name="C14b_Concentration"               />
-          <!-- <field field_ref="DMP_C14B"      name="DMP_C14B"      standard_name="C14b_Concentration"          /> -->
-          <field field_ref="SMS_C14B"      name="SMS_C14B"      standard_name="C14b_Concentration"               />
-          <field field_ref="ATF_C14B"      name="ATF_C14B"      standard_name="C14b_Concentration"               /> 
-          <field field_ref="ISO_C14B"      name="ISO_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="TOT_C14B"      name="TOT_C14B"      />
+          <field field_ref="XAD_C14B"      name="XAD_C14B"      />
+          <field field_ref="YAD_C14B"      name="YAD_C14B"      />
+          <field field_ref="ZAD_C14B"      name="ZAD_C14B"      />
+          <field field_ref="TAD_C14B"      name="TAD_C14B"      />
+          <field field_ref="LDF_C14B"      name="LDF_C14B"      />
+          <field field_ref="BBL_C14B"      name="BBL_C14B"      />
+          <field field_ref="FOR_C14B"      name="FOR_C14B"      />
+          <field field_ref="ZDF_C14B"      name="ZDF_C14B"      />
+          <field field_ref="ZDP_C14B"      name="ZDP_C14B"      />
+          <!-- <field field_ref="DMP_C14B"      name="DMP_C14B" /> -->
+          <field field_ref="SMS_C14B"      name="SMS_C14B"      />
+          <field field_ref="ATF_C14B"      name="ATF_C14B"      />
+          <field field_ref="ISO_C14B"      name="ISO_C14B"      />
    </field_group>
 
@@ -2128,72 +2128,72 @@
     <field_group id="trendCFC11_cmip6" >
           <!-- cfc11 -->
-          <field field_ref="TOT_CFC11_E3T" name="TOT_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
-          <field field_ref="SMS_CFC11_E3T" name="SMS_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TOT_CFC11_E3T" name="TOT_CFC11_E3T" />
+          <field field_ref="SMS_CFC11_E3T" name="SMS_CFC11_E3T" />
    </field_group>
 
     <field_group id="trendCFC12_cmip6" >
           <!-- cfc12 -->
-          <field field_ref="TOT_CFC12_E3T" name="TOT_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
-          <field field_ref="SMS_CFC12_E3T" name="SMS_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TOT_CFC12_E3T" name="TOT_CFC12_E3T" />
+          <field field_ref="SMS_CFC12_E3T" name="SMS_CFC12_E3T" />
    </field_group>
 
     <field_group id="trendSF6_cmip6" >
           <!-- sf6 -->
-          <field field_ref="TOT_SF6_E3T"  name="TOT_SF6_E3T"  standard_name="SF6_Concentration"                     />
-          <field field_ref="SMS_SF6_E3T"  name="SMS_SF6_E3T"  standard_name="SF6_Concentration"                     />
+          <field field_ref="TOT_SF6_E3T"  name="TOT_SF6_E3T"  />
+          <field field_ref="SMS_SF6_E3T"  name="SMS_SF6_E3T"  />
    </field_group>
 
     <field_group id="trendAGE_cmip6" >
           <!-- age -->
-          <field field_ref="TOT_Age_E3T"  name="TOT_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="SMS_Age_E3T"  name="SMS_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TOT_Age_E3T"  name="TOT_Age_E3T"  />
+          <field field_ref="SMS_Age_E3T"  name="SMS_Age_E3T"  />
    </field_group>
 
     <field_group id="trendIDTRA_cmip6" >
           <!-- Ideal tracer -->
-          <field field_ref="TOT_IDTRA_E3T"  name="TOT_IDTRA_E3T"  standard_name="IDTRA_Concentration"               />
-          <field field_ref="SMS_IDTRA_E3T"  name="SMS_IDTRA_E3T"  standard_name="IDTRA_Concentration"               />
+          <field field_ref="TOT_IDTRA_E3T"  name="TOT_IDTRA_E3T"  />
+          <field field_ref="SMS_IDTRA_E3T"  name="SMS_IDTRA_E3T"  />
    </field_group>
 
     <field_group id="trendC14B_cmip6" >
           <!-- c14 bomb -->
-          <field field_ref="TOT_C14B_E3T"  name="TOT_C14B_E3T"  standard_name="C14b_Concentration"               />
-          <field field_ref="SMS_C14B_E3T"  name="SMS_C14B_E3T"  standard_name="C14b_Concentration"               />
+          <field field_ref="TOT_C14B_E3T"  name="TOT_C14B_E3T"  />
+          <field field_ref="SMS_C14B_E3T"  name="SMS_C14B_E3T"  />
    </field_group>
 
     <field_group id="trendCFC11_cmip6_inv" >
           <!-- cfc11 -->
-          <field field_ref="TOT_CFC11_INV" name="TOT_CFC11_INV" standard_name="CFC-11_Concentration"                  />
-          <field field_ref="SMS_CFC11_INV" name="SMS_CFC11_INV" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TOT_CFC11_INV" name="TOT_CFC11_INV" />
+          <field field_ref="SMS_CFC11_INV" name="SMS_CFC11_INV" />
    </field_group>
 
     <field_group id="trendCFC12_cmip6_inv" >
           <!-- cfc12 -->
-          <field field_ref="TOT_CFC12_INV" name="TOT_CFC12_INV" standard_name="CFC-12_Concentration"                  />
-          <field field_ref="SMS_CFC12_INV" name="SMS_CFC12_INV" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TOT_CFC12_INV" name="TOT_CFC12_INV" />
+          <field field_ref="SMS_CFC12_INV" name="SMS_CFC12_INV" />
    </field_group>
 
     <field_group id="trendSF6_cmip6_inv" >
           <!-- sf6 -->
-          <field field_ref="TOT_SF6_INV"  name="TOT_SF6_INV"  standard_name="SF6_Concentration"                     />
-          <field field_ref="SMS_SF6_INV"  name="SMS_SF6_INV"  standard_name="SF6_Concentration"                     />
+          <field field_ref="TOT_SF6_INV"  name="TOT_SF6_INV"  />
+          <field field_ref="SMS_SF6_INV"  name="SMS_SF6_INV"  />
    </field_group>
 
     <field_group id="trendAGE_cmip6_inv" >
           <!-- age -->
-          <field field_ref="TOT_Age_INV"  name="TOT_Age_INV"  standard_name="sea_water_age_since_surface_contact"   />
-          <field field_ref="SMS_Age_INV"  name="SMS_Age_INV"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TOT_Age_INV"  name="TOT_Age_INV"  />
+          <field field_ref="SMS_Age_INV"  name="SMS_Age_INV"  />
    </field_group>
 
     <field_group id="trendIDTRA_cmip6_inv" >
           <!-- Ideal tracer -->
-          <field field_ref="TOT_IDTRA_INV"  name="TOT_IDTRA_INV"  standard_name="IDTRA_Concentration"               />
-          <field field_ref="SMS_IDTRA_INV"  name="SMS_IDTRA_INV"  standard_name="IDTRA_Concentration"               />
+          <field field_ref="TOT_IDTRA_INV"  name="TOT_IDTRA_INV" /> 
+          <field field_ref="SMS_IDTRA_INV"  name="SMS_IDTRA_INV" />  
    </field_group>
 
     <field_group id="trendC14B_cmip6_inv" >
           <!-- c14 bomb -->
-          <field field_ref="TOT_C14B_INV"  name="TOT_C14B_INV"  standard_name="C14b_Concentration"               />
-          <field field_ref="SMS_C14B_INV"  name="SMS_C14B_INV"  standard_name="C14b_Concentration"               />
+          <field field_ref="TOT_C14B_INV"  name="TOT_C14B_INV"  />
+          <field field_ref="SMS_C14B_INV"  name="SMS_C14B_INV"  /> 
    </field_group>
 