Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9503)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9504)
@@ -13,4 +13,7 @@
 !!   namtsd       data: temperature & salinity                          (default NO)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
+!!   namc1d       1D configuration options                              ("key_c1d")
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
+!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
 !!======================================================================
 !
@@ -29,5 +32,5 @@
 /
 !-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration                      (default: user defined GYRE)
+&namcfg        !   parameters of the configuration                      (default: use namusr_def in namelist_cfg)
 !-----------------------------------------------------------------------
    ln_read_cfg = .true.    !  (=T) read the domain configuration file
@@ -38,5 +41,5 @@
 /
 !-----------------------------------------------------------------------
-&namtsd        !    Temperature & Salinity Data                         (default: NO)
+&namtsd        !    Temperature & Salinity Data  (init/dmp)             (default: NO)
 !-----------------------------------------------------------------------
    !                       ! =T  read T-S fields for:
@@ -50,4 +53,24 @@
    sn_tem = 'data_1m_potential_temperature_nomask',     -1      ,'votemper',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
    sn_sal = 'data_1m_salinity_nomask'             ,     -1      ,'vosaline',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
+/
+!-----------------------------------------------------------------------
+&namwad        !   Wetting and Drying (WaD)                             (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namcrs        !   coarsened grid (for outputs and/or TOP)              (ln_crs =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: NO)
+!-----------------------------------------------------------------------
 /
 
@@ -72,5 +95,5 @@
 !
 !-----------------------------------------------------------------------
-&namsbc        !   Surface Boundary Condition (surface module)          (default: NO selection)
+&namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
    nn_fsbc     = 5         !  frequency of SBC module call
@@ -89,5 +112,9 @@
 /
 !-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk =T)
+&namsbc_flx    !   surface boundary condition : flux formulation        (ln_flx =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_blk    !   namsbc_blk  generic Bulk formula                     (ln_blk =T)
 !-----------------------------------------------------------------------
    !                    !  bulk algorithm :
@@ -110,4 +137,16 @@
 /
 !-----------------------------------------------------------------------
+&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_sas    !   Stand-Alone Surface module: ocean data               (SAS_SRC  only)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_iif    !   Ice-IF : use observed ice cover                      (nn_ice = 1)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
 !-----------------------------------------------------------------------
@@ -150,5 +189,21 @@
 /
 !-----------------------------------------------------------------------
-&namberg       !   iceberg parameters                                   (default: No iceberg)
+&namsbc_apr    !   Atmospheric pressure used as ocean forcing           (ln_apr_dyn =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)                              (ln_isfcav =T : read (ln_read_cfg=T) 
+!-----------------------------------------------------------------------             or set or usr_def_zgr )
+/
+!-----------------------------------------------------------------------
+&namsbc_iscpl  !   land ice / ocean coupling option                     (ln_isfcav =T : read (ln_read_cfg=T) 
+!-----------------------------------------------------------------------             or set or usr_def_zgr )
+/
+!-----------------------------------------------------------------------
+&namsbc_wave   ! External fields from wave model                        (ln_wave=T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namberg       !   iceberg parameters                                   (default: NO)
 !-----------------------------------------------------------------------
    ln_icebergs = .true.    ! activate iceberg floats (force =F with "key_agrif")
@@ -173,4 +228,8 @@
 !
 !-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition                  (default: no slip)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
@@ -181,4 +240,31 @@
 /
 !-----------------------------------------------------------------------
+&nam_tide      !   tide parameters                                      (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta    !  open boundaries - external data                       (see nam_bdy)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_tide   !  tidal forcing at open boundaries                      (default: NO)
+!-----------------------------------------------------------------------
+/
+
+!!======================================================================
+!!                ***  Top/Bottom boundary condition  ***             !!
+!!                                                                    !!
+!!   namdrg        top/bottom drag coefficient                          (default: NO selection)
+!!   namdrg_top    top    friction                                      (ln_NONE=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_NONE=F)
+!!   nambbc        bottom temperature boundary condition                (default: NO)
+!!   nambbl        bottom boundary layer scheme                         (default: NO)
+!!======================================================================
+!
+!-----------------------------------------------------------------------
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
@@ -186,5 +272,9 @@
 /
 !-----------------------------------------------------------------------
-&namdrg_bot    !   BOTTOM friction                                  
+&namdrg_top    !   TOP friction                                         (ln_NONE=F & ln_isfcav=T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdrg_bot    !   BOTTOM friction                                      (ln_NONE=F)
 !-----------------------------------------------------------------------
 /
@@ -253,5 +343,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_eiv !   eddy induced velocity param.                            (default: NO)
+&namtra_eiv    !   eddy induced velocity param.                         (default: NO)
 !-----------------------------------------------------------------------
    ln_ldfeiv     =.true.   ! use eddy induced velocity parameterization
@@ -285,4 +375,8 @@
 !
 !-----------------------------------------------------------------------
+&nam_vvl       !   vertical coordinate options                          (default: z-star)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
 !-----------------------------------------------------------------------
@@ -312,4 +406,8 @@
    ln_dynldf_lev =  .true.     !  iso-level
    nn_ahm_ijk_t  = -30         !  =-30  3D coeff. read in eddy_diffusivity_3D.nc
+/
+!-----------------------------------------------------------------------
+&namdta_dyn    !   offline ocean input files                            (OFF_SRC only)
+!-----------------------------------------------------------------------
 /
 
@@ -326,5 +424,5 @@
 !
 !-----------------------------------------------------------------------
-&namzdf        !   vertical physics                                     (default: NO selection)
+&namzdf        !   vertical physics manager                             (default: NO selection)
 !-----------------------------------------------------------------------
    ln_zdftke   = .true.       !  Turbulent Kinetic Energy closure       (T =>   fill namzdf_tke)
@@ -343,5 +441,17 @@
 /
 !-----------------------------------------------------------------------
+&namzdf_ric    !   richardson number dependent vertical diffusion       (ln_zdfric =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_gls    !   GLS vertical diffusion                               (ln_zdfgls =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_osm    !   OSM vertical diffusion                               (ln_zdfosm =T)
 !-----------------------------------------------------------------------
 /
@@ -370,4 +480,65 @@
 !!======================================================================
 !
+!-----------------------------------------------------------------------
+&namtrd        !   trend diagnostics                                    (default NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namptr        !   Poleward Transport Diagnostic                        (default NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namhsb        !  Heat and salt budgets                                 (default NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdiu        !   Cool skin and warm layer models                      (default NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namflo        !   float parameters                                     ("key_float")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_diaharm   !   Harmonic analysis of tidal constituents              ("key_diaharm")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdct        ! transports through some sections                       ("key_diadct")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_diatmb    !  Top Middle Bottom Output                              (default NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_dia25h    !  25h Mean Output                                       (default NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
+!-----------------------------------------------------------------------
+/
+
+!!======================================================================
+!!                  ***  Miscellaneous namelists  ***                 !!
+!!                                                                    !!
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   namctl            Control prints                                   (default NO)
+!!   namsto            Stochastic parametrization of EOS                (default NO)
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints                                       (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsto        ! Stochastic parametrization of EOS                      (default: NO)
+!-----------------------------------------------------------------------
+/
 
 !!======================================================================
@@ -378,2 +549,10 @@
 !!======================================================================
 !
+!-----------------------------------------------------------------------
+&namobs        !  observation usage switch                              (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_asminc    !   assimilation increments                              ('key_asminc')
+!-----------------------------------------------------------------------
+/
Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9503)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9504)
@@ -66,5 +66,5 @@
 /
 !-----------------------------------------------------------------------
-&namdom        !   time and space domain                                
+&namdom        !   time and space domain
 !-----------------------------------------------------------------------
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
@@ -153,5 +153,5 @@
 !-----------------------------------------------------------------------
 &namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: NO)
-!-----------------------------------------------------------------------   
+!-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
    ln_uvd_init   = .false.       !  ocean initialisation
@@ -441,5 +441,5 @@
                            !  1 = presence of ISF   ;  2 = bg03 parametrisation 
                            !  3 = rnf file for ISF  ;  4 = ISF specified freshwater flux
-                           !  option 1 and 4 need ln_isfcav = .true. (domzgr)
+                           !  options 1 and 4 need ln_isfcav = .true. (domzgr)
       !              !  nn_isf = 1 or 2 cases:
       rn_gammat0  = 1.e-4     ! gammat coefficient used in blk formula
@@ -667,5 +667,5 @@
    rn_z0      =  3.0e-3    !  roughness [m] (ln_loglayer=T)
    ln_boost   = .false.    !  =T regional boost of Cd0 ; =F constant
-      rn_boost=  50.          !  local boost factor  [-]
+     rn_boost =  50.          !  local boost factor  [-]
 /
 !-----------------------------------------------------------------------
@@ -684,7 +684,7 @@
 !-----------------------------------------------------------------------
    ln_trabbc   = .false.   !  Apply a geothermal heating at the ocean bottom
-      nn_geoflx   =    2      !  geothermal heat flux: = 1 constant flux
-      !                       !                        = 2 read variable flux [mW/m2]
-      rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux       [mW/m2]
+     nn_geoflx     = 2       !  geothermal heat flux: = 1 constant flux
+      !                      !                        = 2 read variable flux [mW/m2]
+     rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux       [mW/m2]
 
    cn_dir      = './'      !  root directory for the geothermal data location