Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/EXP00/namelist_cfg	(revision 9519)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/EXP00/namelist_cfg	(revision 9526)
@@ -3,12 +3,17 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !
-!-----------------------------------------------------------------------
-&namusr_def    !   User defined :   VORTEX configuration: Flat bottom, beta-plane
-!-----------------------------------------------------------------------
-   rn_dx       =  30000.   !  x horizontal resolution   [meters]
-   rn_dy       =  30000.   !  y horizontal resolution   [meters]
-   rn_dz       =    500.   !  z vertical resolution [meters]
-   rn_ppgphi0  =   38.5    !  Reference latitude [degrees]
-/
+!!======================================================================
+!!              ***  Domain & Run management namelists  ***           !!
+!!                                                                    !!
+!!   namrun       parameters of the run
+!!   namdom       space and time domain
+!!   namcfg       parameters of the configuration                       (default: user defined GYRE)
+!!   namwad       Wetting and drying                                    (default: OFF)
+!!   namtsd       data: temperature & salinity                          (default: OFF)
+!!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
+!!   namc1d       1D configuration options                              ("key_c1d")
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
+!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!======================================================================
 !
 !-----------------------------------------------------------------------
@@ -24,8 +29,4 @@
 /
 !-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration                      (default: user defined GYRE)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
@@ -35,30 +36,37 @@
 /
 !-----------------------------------------------------------------------
+&namcfg        !   parameters of the configuration                      (default: use namusr_def in namelist_cfg)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namusr_def    !   User defined :   VORTEX configuration: Flat bottom, beta-plane
+!-----------------------------------------------------------------------
+   rn_dx       =  30000.   !  x horizontal resolution   [meters]
+   rn_dy       =  30000.   !  y horizontal resolution   [meters]
+   rn_dz       =    500.   !  z vertical resolution [meters]
+   rn_ppgphi0  =   38.5    !  Reference latitude [degrees]
+/
+!-----------------------------------------------------------------------
 &namtsd        !   data : Temperature  & Salinity
 !-----------------------------------------------------------------------
 /
-!-----------------------------------------------------------------------
-&namwad        !   Wetting and drying  default is no WAD
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namcrs        !   coarsened grid (for outputs and/or TOP)              (ln_crs =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d")
-!-----------------------------------------------------------------------
-/
-
-!!======================================================================
-!!            ***  Surface Boundary Condition namelists  ***
+
+!!======================================================================
+!!            ***  Surface Boundary Condition namelists  ***          !!
+!!                                                                    !!
+!!   namsbc          surface boundary condition manager                 (default: NO selection)
+!!   namsbc_flx      flux               formulation                     (ln_flx     =T)
+!!   namsbc_blk      Bulk formulae formulation                          (ln_blk     =T)
+!!   namsbc_cpl      CouPLed            formulation                     ("key_oasis3" )
+!!   namsbc_sas      Stand-Alone Surface module                         (SAS_SRC  only)
+!!   namsbc_iif      Ice-IF: use observed ice cover                     (nn_ice = 1   )
+!!   namtra_qsr      penetrative solar radiation                        (ln_traqsr  =T)
+!!   namsbc_ssr      sea surface restoring term (for T and/or S)        (ln_ssr     =T)
+!!   namsbc_rnf      river runoffs                                      (ln_rnf     =T)
+!!   namsbc_apr      Atmospheric Pressure                               (ln_apr_dyn =T)
+!!   namsbc_isf      ice shelf melting/freezing                         (ln_isfcav  =T : read (ln_read_cfg=T) or set or usr_def_zgr )
+!!   namsbc_iscpl    coupling option between land ice model and ocean   (ln_isfcav  =T)
+!!   namsbc_wave     external fields from wave model                    (ln_wave    =T)
+!!   namberg         iceberg floats                                     (ln_icebergs=T)
 !!======================================================================
 !
@@ -76,89 +84,30 @@
   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
 /
-!-----------------------------------------------------------------------
-&namsbc_flx    !   surface boundary condition : flux formulation
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_sas    !   Stand-Alone Surface boundary condition
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_iif    !   Ice-IF : use observed ice cover                      (nn_ice = 1)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_rnf    !   runoffs namelist surface boundary condition          (ln_rnf =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_isf    !  Top boundary layer (ISF)                              (nn_isf >0)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_iscpl  !   land ice / ocean coupling option                     
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_apr    !   Atmospheric pressure used as ocean forcing           (ln_apr_dyn =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_ssr    !   surface boundary condition : sea surface restoring   (ln_ssr =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_wave   ! External fields from wave model                        (ln_wave=T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namberg       !   iceberg parameters                                   (default: No iceberg)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namlbc        !   lateral momentum boundary condition
-!-----------------------------------------------------------------------
-!                         !  free slip  !   partial slip  !   no slip   ! strong slip
-  rn_shlat     =    0.    !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
-/
-!-----------------------------------------------------------------------
-&namagrif      !  AGRIF zoom                                            ("key_agrif")
-!-----------------------------------------------------------------------
-   ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
-   rn_sponge_tra =  800.   !  coefficient for tracer   sponge layer [m2/s]
-   rn_sponge_dyn =  800.   !  coefficient for dynamics sponge layer [m2/s]
-   ln_chk_bathy  = .FALSE. !
-/
-!-----------------------------------------------------------------------
-&nam_tide      !   tide parameters
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries                          
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_dta    !  open boundaries - external data                       
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambdy_tide   !  tidal forcing at open boundaries
-!-----------------------------------------------------------------------
+
+!!======================================================================
+!!               ***  Lateral boundary condition  ***                 !!
+!!                                                                    !!
+!!   namlbc        lateral momentum boundary condition                  (default: no slip)
+!!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif")
+!!   nam_tide      Tidal forcing                                        (default: OFF)
+!!   nambdy        Unstructured open boundaries                         (default: OFF)
+!!   nambdy_dta    Unstructured open boundaries - external data         (see  nambdy)
+!!   nambdy_tide   tidal forcing at open boundaries                     (default: OFF)
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition                  (default: no slip)
+!-----------------------------------------------------------------------
+  rn_shlat     =    0.    !  free slip
 /
 
 !!======================================================================
 !!                ***  Top/Bottom boundary condition  ***             !!
+!!                                                                    !!
+!!   namdrg        top/bottom drag coefficient                          (default: NO selection)
+!!   namdrg_top    top    friction                                      (ln_OFF=F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_OFF=F)
+!!   nambbc        bottom temperature boundary condition                (default: OFF)
+!!   nambbl        bottom boundary layer scheme                         (default: OFF)
 !!======================================================================
 !
@@ -166,29 +115,20 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_NONE    = .true.    !  free-slip       : Cd = 0
-/
-!-----------------------------------------------------------------------
-&namdrg_top    !   TOP friction                                         (ln_isfcav=T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdrg_bot    !   BOTTOM friction                                  
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition                (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambbl        !   bottom boundary layer scheme                         (default: NO)
-!-----------------------------------------------------------------------
-/
-
-!!======================================================================
-!!                        Tracer (T & S) namelists                    !!
-!!======================================================================
-!
-!-----------------------------------------------------------------------
-&nameos        !   ocean Equation Of Seawater                           (default: NO)
+   ln_OFF     = .true.    !  free-slip       : Cd = 0
+/
+
+!!======================================================================
+!!                        Tracer (T-S) namelists                      !!
+!!                                                                    !!
+!!   nameos           equation of state                                 (default: NO selection)
+!!   namtra_adv       advection scheme                                  (default: NO selection)
+!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
+!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
+!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
+!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&nameos        !   ocean Equation Of Seawater                           (default: OFF)
 !-----------------------------------------------------------------------
    ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
@@ -221,5 +161,5 @@
 !-----------------------------------------------------------------------
   !                       !  Operator type:
-   ln_traldf_NONE  =  .true.  !  No explicit diffusion
+   ln_traldf_OFF   =  .true.  !  No explicit diffusion
    ln_traldf_lap   =  .false.  !    laplacian operator
    ln_traldf_blp   =  .false.  !  bilaplacian operator
@@ -227,5 +167,13 @@
 
 !!======================================================================
-!!                     vertical physics namelists                     !!
+!!                      ***  Dynamics namelists  ***                  !!
+!!                                                                    !!
+!!   nam_vvl       vertical coordinate options                          (default: z-star)
+!!   namdyn_adv    formulation of the momentum advection                (default: NO selection)
+!!   namdyn_vor    advection scheme                                     (default: NO selection)
+!!   namdyn_hpg    hydrostatic pressure gradient                        (default: NO selection)
+!!   namdyn_spg    surface pressure gradient                            (default: NO selection)
+!!   namdyn_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namdta_dyn    offline TOP: dynamics read in files                  (OFF_SRC only)
 !!======================================================================
 !
@@ -244,5 +192,5 @@
 /
 !-----------------------------------------------------------------------
-&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO)
+&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: OFF)
 !-----------------------------------------------------------------------
    ln_dynvor_ene = .false. !  enstrophy conserving scheme
@@ -259,7 +207,7 @@
 /
 !-----------------------------------------------------------------------
-&namdyn_spg    !   surface pressure gradient                            (default: NO)
-!-----------------------------------------------------------------------
-   ln_dynspg_exp  = .false. 
+&namdyn_spg    !   surface pressure gradient                            (default: OFF)
+!-----------------------------------------------------------------------
+   ln_dynspg_exp = .false. 
    ln_dynspg_ts  = .true.   ! split-explicit free surface
       ln_bt_fw      = .true.     ! Forward integration of barotropic Eqs.
@@ -275,10 +223,10 @@
 !-----------------------------------------------------------------------
    !                       !  Type of the operator :
-   ln_dynldf_NONE=  .true.    !  No operator (i.e. no explicit diffusion)
+   ln_dynldf_OFF =  .true.     !  No operator (i.e. no explicit diffusion)
    ln_dynldf_lap =  .false.    !    laplacian operator
    ln_dynldf_blp =  .false.    !  bilaplacian operator
    !                       !  Direction of action  :
    ln_dynldf_lev =  .false.    !  iso-level
-   ln_dynldf_hor =  .true.    !  horizontal (geopotential)
+   ln_dynldf_hor =  .true.     !  horizontal (geopotential)
    ln_dynldf_iso =  .false.    !  iso-neutral
    !                       !  Coefficient
@@ -291,4 +239,15 @@
 /
 
+!!======================================================================
+!!                     vertical physics namelists                     !!
+!!                                                                    !!
+!!    namzdf        vertical physics manager                            (default: NO selection)
+!!    namzdf_ric    richardson number vertical mixing                   (ln_zdfric=T)
+!!    namzdf_tke    TKE vertical mixing                                 (ln_zdftke=T)
+!!    namzdf_gls    GLS vertical mixing                                 (ln_zdfgls=T)
+!!    namzdf_osm    OSM vertical diffusion                              (ln_zdfosm=T)
+!!    namzdf_iwm    tidal mixing parameterization                       (ln_zdfiwm=T)
+!!======================================================================
+!
 !-----------------------------------------------------------------------
 &namzdf        !   vertical physics                                     (default: NO selection)
@@ -307,86 +266,34 @@
    nn_havtb    =    0         !  horizontal shape for avtb (=1) or not (=0)
 /
-!-----------------------------------------------------------------------
-&namzdf_ric    !   richardson number dependent vertical diffusion       (ln_zdfric =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namzdf_gls    !   GLS vertical diffusion                               (ln_zdfgls =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namzdf_osm    !   OSM vertical diffusion                               (ln_zdfosm =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namzdf_iwm    !    internal wave-driven mixing parameterization        (ln_zdfiwm =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namctl        !   Control prints 
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsto        ! Stochastic parametrization of EOS                      (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrd        !   trend diagnostics                                    (default F)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namptr        !   Poleward Transport Diagnostic                        (default F)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namhsb        !  Heat and salt budgets                                 (default F)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdiu        !   Cool skin and warm layer models                      (default F)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namflo        !   float parameters                                     ("key_float")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              ("key_diaharm")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdct        ! transports through some sections                       ("key_diadct")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_diatmb    !  Top Middle Bottom Output                              (default F)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_dia25h    !  25h Mean Output                                       (default F)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namobs        !  observation usage switch
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nam_asminc    !   assimilation increments                              ('key_asminc')
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdta_dyn    !   offline dynamics read in files                       ("key_offline")
-!-----------------------------------------------------------------------
-/
+
+!!======================================================================
+!!                  ***  Diagnostics namelists  ***                   !!
+!!                                                                    !!
+!!   namtrd       dynamics and/or tracer trends                         (default: OFF)
+!!   namptr       Poleward Transport Diagnostics                        (default: OFF)
+!!   namhsb       Heat and salt budgets                                 (default: OFF)
+!!   namdiu       Cool skin and warm layer models                       (default: OFF)
+!!   namdiu       Cool skin and warm layer models                       (default: OFF)
+!!   namflo       float parameters                                      ("key_float")
+!!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
+!!   namdct       transports through some sections                      ("key_diadct")
+!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
+!!   nam_dia25h   25h Mean Output                                       (default: OFF)
+!!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
+!!======================================================================
+!
+!!======================================================================
+!!               ***  Observation & Assimilation  ***                 !!
+!!                                                                    !!
+!!   namobs       observation and model comparison                      (default: OFF)
+!!   nam_asminc   assimilation increments                               ('key_asminc')
+!!======================================================================
+!
+!!======================================================================
+!!                  ***  Miscellaneous namelists  ***                 !!
+!!                                                                    !!
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   namctl            Control prints                                   (default: OFF)
+!!   namsto            Stochastic parametrization of EOS                (default: OFF)
+!!======================================================================
+!