Index: NEMO/trunk/src/ICE/icedyn_adv_pra.F90
===================================================================
--- NEMO/trunk/src/ICE/icedyn_adv_pra.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/icedyn_adv_pra.F90	(revision 9656)
@@ -4,5 +4,5 @@
    !!   sea-ice : advection => Prather scheme
    !!======================================================================
-   !! History :       !  2008-03  (M. Vancoppenolle) LIM-3 from LIM-2 code
+   !! History :       !  2008-03  (M. Vancoppenolle) original code
    !!            4.0  !  2018     (many people)      SI3 [aka Sea Ice cube]
    !!--------------------------------------------------------------------
Index: NEMO/trunk/src/ICE/icedyn_rhg_evp.F90
===================================================================
--- NEMO/trunk/src/ICE/icedyn_rhg_evp.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/icedyn_rhg_evp.F90	(revision 9656)
@@ -5,10 +5,10 @@
    !!======================================================================
    !! History :   -   !  2007-03  (M.A. Morales Maqueda, S. Bouillon) Original code
-   !!            3.0  !  2008-03  (M. Vancoppenolle) LIM3
+   !!            3.0  !  2008-03  (M. Vancoppenolle) adaptation to new model
    !!             -   !  2008-11  (M. Vancoppenolle, S. Bouillon, Y. Aksenov) add surface tilt in ice rheolohy 
    !!            3.3  !  2009-05  (G.Garric)    addition of the evp case
    !!            3.4  !  2011-01  (A. Porter)   dynamical allocation 
    !!            3.5  !  2012-08  (R. Benshila) AGRIF
-   !!            3.6  !  2016-06  (C. Rousset)  Rewriting + landfast ice + possibility to use mEVP (Bouillon 2013)
+   !!            3.6  !  2016-06  (C. Rousset)  Rewriting + landfast ice + mEVP (Bouillon 2013)
    !!            3.7  !  2017     (C. Rousset)  add aEVP (Kimmritz 2016-2017)
    !!            4.0  !  2018     (many people) SI3 [aka Sea Ice cube]
Index: NEMO/trunk/src/ICE/iceistate.F90
===================================================================
--- NEMO/trunk/src/ICE/iceistate.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/iceistate.F90	(revision 9656)
@@ -260,5 +260,5 @@
                      WRITE(numout,*)
                      WRITE(numout,*) ' !!!! ALERT itest is not equal to 4      !!! '
-                     WRITE(numout,*) ' !!!! Something is wrong in the LIM3 initialization procedure '
+                     WRITE(numout,*) ' !!!! Something is wrong in the SI3 initialization procedure '
                      WRITE(numout,*)
                      WRITE(numout,*) ' *** itest_i (i=1,4) = ', itest(:)
Index: NEMO/trunk/src/ICE/icethd.F90
===================================================================
--- NEMO/trunk/src/ICE/icethd.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/icethd.F90	(revision 9656)
@@ -4,7 +4,5 @@
    !!   sea-ice : master routine for thermodynamics
    !!======================================================================
-   !! History :  1.0  !  2000-01  (M.A. Morales Maqueda, H. Goosse, T. Fichefet) LIM-1
-   !!            2.0  !  2002-07  (C. Ethe, G. Madec) LIM-2
-   !!            3.0  !  2005-11  (M. Vancoppenolle)  LIM-3
+   !! History :  1.0  !  2000-01  (M.A. Morales Maqueda, H. Goosse, T. Fichefet) original code 1D
    !!            4.0  !  2018     (many people)       SI3 [aka Sea Ice cube]
    !!----------------------------------------------------------------------
Index: NEMO/trunk/src/ICE/icethd_pnd.F90
===================================================================
--- NEMO/trunk/src/ICE/icethd_pnd.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/icethd_pnd.F90	(revision 9656)
@@ -4,5 +4,5 @@
    !!   sea-ice: Melt ponds on top of sea ice
    !!======================================================================
-   !! history :       !  2012     (O. Lecomte)       Adaptation to LIM from Flocco and Turner
+   !! history :       !  2012     (O. Lecomte)       Adaptation from Flocco and Turner
    !!                 !  2017     (M. Vancoppenolle, O. Lecomte, C. Rousset) Implementation
    !!            4.0  !  2018     (many people)      SI3 [aka Sea Ice cube]
Index: NEMO/trunk/src/ICE/icethd_sal.F90
===================================================================
--- NEMO/trunk/src/ICE/icethd_sal.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/icethd_sal.F90	(revision 9656)
@@ -4,5 +4,5 @@
    !!   sea-ice : computation of salinity variations in the ice
    !!======================================================================
-   !! History :   -   !  2003-05  (M. Vancoppenolle) UCL-ASTR first coding for LIM3-1D
+   !! History :   -   !  2003-05  (M. Vancoppenolle) original code 1-D
    !!            3.0  !  2005-12  (M. Vancoppenolle) adapted to the 3-D version
    !!            4.0  !  2018     (many people)      SI3 [aka Sea Ice cube]
Index: NEMO/trunk/src/ICE/icethd_zdf_bl99.F90
===================================================================
--- NEMO/trunk/src/ICE/icethd_zdf_bl99.F90	(revision 9654)
+++ NEMO/trunk/src/ICE/icethd_zdf_bl99.F90	(revision 9656)
@@ -4,5 +4,5 @@
    !!   sea-ice: vertical heat diffusion in sea ice (computation of temperatures) 
    !!======================================================================
-   !! History :       !  2003-02  (M. Vancoppenolle) original 1D code LIM
+   !! History :       !  2003-02  (M. Vancoppenolle) original 1D code
    !!                 !  2005-06  (M. Vancoppenolle) 3d version
    !!            4.0  !  2018     (many people)      SI3 [aka Sea Ice cube]
Index: NEMO/trunk/src/NST/agrif_ice.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice.F90	(revision 9654)
+++ NEMO/trunk/src/NST/agrif_ice.F90	(revision 9656)
@@ -4,11 +4,11 @@
    !! AGRIF :   define in memory AGRIF variables for sea-ice
    !!----------------------------------------------------------------------
-   !! History :  3.4  ! 2012-08  (R. Benshila)  Original code
-   !!            3.6  ! 2016-05  (C. Rousset)   Add LIM3 compatibility
+   !! History :  3.4   !  2012-08  (R. Benshila)          Original code
+   !!            4.0   !  2018     (C. Rousset)           SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_agrif && defined key_si3
    !!----------------------------------------------------------------------
    !!   'key_agrif'                                              AGRIF zoom
-   !!   'key_si3'                                       SI3 sea-ice model
+   !!   'key_si3'                                         SI3 sea-ice model
    !!----------------------------------------------------------------------   
    IMPLICIT NONE
Index: NEMO/trunk/src/NST/agrif_ice_interp.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice_interp.F90	(revision 9654)
+++ NEMO/trunk/src/NST/agrif_ice_interp.F90	(revision 9656)
@@ -3,14 +3,13 @@
    !!                       ***  MODULE agrif_ice_interp ***
    !! Nesting module :  interp surface ice boundary condition from a parent grid
-   !! Sea-Ice model  :  LIM 3.6 Sea ice model time-stepping
    !!=====================================================================================
-   !! History :  2.0   !  04-2008  (F. Dupont)  initial version
+   !! History :  2.0   !  04-2008  (F. Dupont)               initial version
    !!            3.4   !  09-2012  (R. Benshila, C. Herbaut) update and EVP
-   !!            3.6   !  05-2016  (C. Rousset)  Add LIM3 compatibility
+   !!            4.0   !  2018     (C. Rousset)              SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_agrif && defined key_si3 
    !!----------------------------------------------------------------------
-   !!   'key_si3'  :                                 LIM 3.6 sea-ice model
-   !!   'key_agrif' :                                 AGRIF library
+   !!   'key_si3'                                         SI3 sea-ice model
+   !!   'key_agrif'                                       AGRIF library
    !!----------------------------------------------------------------------
    !!  agrif_interp_ice    : interpolation of ice at "after" sea-ice time step
@@ -41,5 +40,5 @@
    SUBROUTINE agrif_interp_ice( cd_type, kiter, kitermax )
       !!-----------------------------------------------------------------------
-      !!                 *** ROUTINE agrif_rhg_lim3  ***
+      !!                 *** ROUTINE agrif_interp_ice  ***
       !!
       !!  ** Method  : simple call to atomic routines using stored values to
Index: NEMO/trunk/src/NST/agrif_ice_update.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_ice_update.F90	(revision 9654)
+++ NEMO/trunk/src/NST/agrif_ice_update.F90	(revision 9656)
@@ -6,20 +6,19 @@
    !!                       ***  MODULE agrif_ice_update ***
    !! Nesting module :  update surface ocean boundary condition over ice from a child grid
-   !! Sea-Ice model  :  LIM 3.6 Sea ice model time-stepping
    !!=====================================================================================
-   !! History :  2.0   !  04-2008  (F. Dupont)  initial version
+   !! History :  2.0   !  04-2008  (F. Dupont)               initial version
    !!            3.4   !  08-2012  (R. Benshila, C. Herbaut) update and EVP
-   !!            3.6   !  05-2016  (C. Rousset)  Add LIM3 compatibility
+   !!            4.0   !  2018     (C. Rousset)              SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_agrif && defined key_si3
    !!----------------------------------------------------------------------
-   !!   'key_si3'  :                                 LIM 3.6 sea-ice model
-   !!   'key_agrif' :                                 AGRIF library 
+   !!   'key_si3'  :                                      SI3 sea-ice model
+   !!   'key_agrif' :                                     AGRIF library 
    !!----------------------------------------------------------------------
    !!   agrif_update_ice  : update sea-ice on boundaries or total
    !!                        child domain for velocities and ice properties
-   !!   update_tra_ice     : sea-ice properties
-   !!   update_u_ice       : zonal      ice velocity
-   !!   update_v_ice       : meridional ice velocity
+   !!   update_tra_ice    : sea-ice properties
+   !!   update_u_ice      : zonal      ice velocity
+   !!   update_v_ice      : meridional ice velocity
    !!----------------------------------------------------------------------
    USE dom_oce
Index: NEMO/trunk/src/NST/agrif_user.F90
===================================================================
--- NEMO/trunk/src/NST/agrif_user.F90	(revision 9654)
+++ NEMO/trunk/src/NST/agrif_user.F90	(revision 9656)
@@ -497,5 +497,5 @@
    !!                 *** ROUTINE Agrif_InitValues_cont_ice ***
    !!
-   !! ** Purpose :: Initialisation of variables to be interpolated for LIM3
+   !! ** Purpose :: Initialisation of variables to be interpolated for ice
    !!----------------------------------------------------------------------
    USE Agrif_Util
@@ -541,5 +541,5 @@
    !!                 *** ROUTINE agrif_declare_var_ice ***
    !!
-   !! ** Purpose :: Declaration of variables to be interpolated for LIM3
+   !! ** Purpose :: Declaration of variables to be interpolated for ice
    !!----------------------------------------------------------------------
    USE Agrif_Util
Index: NEMO/trunk/src/OCE/ASM/asminc.F90
===================================================================
--- NEMO/trunk/src/OCE/ASM/asminc.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/ASM/asminc.F90	(revision 9656)
@@ -826,5 +826,5 @@
       REAL(wp) ::   zincwgt   ! IAU weight for current time step
 #if defined key_si3
-      REAL(wp), DIMENSION(jpi,jpj) ::   zofrld, zohicif, zseaicendg, zhicifinc  ! LIM
+      REAL(wp), DIMENSION(jpi,jpj) ::   zofrld, zohicif, zseaicendg, zhicifinc
       REAL(wp) ::   zhicifmin = 0.5_wp      ! ice minimum depth in metres
 #endif
@@ -847,5 +847,5 @@
             ENDIF
             !
-            ! Sea-ice : LIM-3 case
+            ! Sea-ice : SI3 case
             !
 #if defined key_si3
@@ -896,5 +896,5 @@
             neuler = 0                    ! Force Euler forward step
             !
-            ! Sea-ice : LIM-3 case
+            ! Sea-ice : SI3 case
             !
 #if defined key_si3
Index: NEMO/trunk/src/OCE/BDY/bdy_oce.F90
===================================================================
--- NEMO/trunk/src/OCE/BDY/bdy_oce.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/BDY/bdy_oce.F90	(revision 9656)
@@ -8,5 +8,6 @@
    !!            3.3  !  2010-09  (D. Storkey) add ice boundary conditions
    !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
-   !!            3.6  !  2014-01  (C. Rousset) add ice boundary conditions for lim3
+   !!            3.6  !  2014-01  (C. Rousset) add ice boundary conditions for new model
+   !!            4.0  !  2018     (C. Rousset) SI3 compatibility
    !!----------------------------------------------------------------------
    USE par_oce         ! ocean parameters
Index: NEMO/trunk/src/OCE/BDY/bdydta.F90
===================================================================
--- NEMO/trunk/src/OCE/BDY/bdydta.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/BDY/bdydta.F90	(revision 9656)
@@ -11,5 +11,6 @@
    !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
    !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
-   !!            3.6  !  2012-01  (C. Rousset) add ice boundary conditions for lim3
+   !!            3.6  !  2012-01  (C. Rousset) add ice boundary conditions for sea ice
+   !!            4.0  !  2018     (C. Rousset) SI3 compatibility
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/BDY/bdyice.F90
===================================================================
--- NEMO/trunk/src/OCE/BDY/bdyice.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/BDY/bdyice.F90	(revision 9656)
@@ -2,13 +2,13 @@
    !!======================================================================
    !!                       ***  MODULE  bdyice  ***
-   !! Unstructured Open Boundary Cond. :  Open boundary conditions for sea-ice (LIM3)
+   !! Unstructured Open Boundary Cond. :  Open boundary conditions for sea-ice (SI3)
    !!======================================================================
    !!  History :  3.3  !  2010-09 (D. Storkey)  Original code
-   !!             3.4  !  2011    (D. Storkey)  rewrite in preparation for OBC-BDY merge
-   !!              -   !  2012-01 (C. Rousset)  add lim3 and remove useless jk loop 
+   !!             3.4  !  2012-01 (C. Rousset)  add new sea ice model 
+   !!             4.0  !  2018    (C. Rousset)  SI3 compatibility 
    !!----------------------------------------------------------------------
 #if defined key_si3
    !!----------------------------------------------------------------------
-   !!   'key_si3'                                                 LIM-3 sea ice model
+   !!   'key_si3'                                          SI3 sea ice model
    !!----------------------------------------------------------------------
    !!   bdy_ice        : Application of open boundaries to ice
@@ -37,5 +37,5 @@
 
    PUBLIC   bdy_ice     ! routine called in sbcmod
-   PUBLIC   bdy_ice_dyn ! routine called in limrhg
+   PUBLIC   bdy_ice_dyn ! routine called in icedyn_rhg_evp
 
    !!----------------------------------------------------------------------
@@ -50,5 +50,5 @@
       !!                  ***  SUBROUTINE bdy_ice  ***
       !!
-      !! ** Purpose : - Apply open boundary conditions for ice (LIM3)
+      !! ** Purpose : - Apply open boundary conditions for ice (SI3)
       !!
       !!----------------------------------------------------------------------
Index: NEMO/trunk/src/OCE/C1D/step_c1d.F90
===================================================================
--- NEMO/trunk/src/OCE/C1D/step_c1d.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/C1D/step_c1d.F90	(revision 9656)
@@ -38,5 +38,5 @@
       !!                     ***  ROUTINE stp_c1d  ***
       !!                      
-      !! ** Purpose :  - Time stepping of SBC including LIM (dynamic and thermodynamic eqs.)
+      !! ** Purpose :  - Time stepping of SBC including sea ice (dynamic and thermodynamic eqs.)
       !!               - Time stepping of OPA (momentum and active tracer eqs.)
       !!               - Time stepping of TOP (passive tracer eqs.)
Index: NEMO/trunk/src/OCE/DOM/phycst.F90
===================================================================
--- NEMO/trunk/src/OCE/DOM/phycst.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/DOM/phycst.F90	(revision 9656)
@@ -84,5 +84,5 @@
 #endif
 #if defined key_cice
-   REAL(wp), PUBLIC ::   rcdsn    =    0.31_wp       !: thermal conductivity of snow                          [W/m/K], now namelist parameter for LIM3
+   REAL(wp), PUBLIC ::   rcdsn    =    0.31_wp       !: thermal conductivity of snow                          [W/m/K]
 #endif
 #if defined key_si3
Index: NEMO/trunk/src/OCE/ICB/icbutl.F90
===================================================================
--- NEMO/trunk/src/OCE/ICB/icbutl.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/ICB/icbutl.F90	(revision 9656)
@@ -23,5 +23,5 @@
    USE sbc_oce                             ! ocean surface boundary conditions
 #if defined key_si3
-   USE ice,    ONLY: u_ice, v_ice, hm_i    ! LIM-3 variables
+   USE ice,    ONLY: u_ice, v_ice, hm_i    ! SI3 variables
 #endif
 
Index: NEMO/trunk/src/OCE/OBS/diaobs.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/diaobs.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/OBS/diaobs.F90	(revision 9656)
@@ -501,5 +501,5 @@
       USE phycst , ONLY : rday                ! Physical constants
 #if defined  key_si3
-      USE ice    , ONLY : at_i                ! LIM3 Ice model variables
+      USE ice    , ONLY : at_i                ! SI3 Ice model variables
 #endif
 #if defined key_cice
Index: NEMO/trunk/src/OCE/SBC/sbc_ice.F90
===================================================================
--- NEMO/trunk/src/OCE/SBC/sbc_ice.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/SBC/sbc_ice.F90	(revision 9656)
@@ -2,10 +2,11 @@
    !!======================================================================
    !!                 ***  MODULE  sbc_ice  ***
-   !! Surface module - LIM-3: parameters & variables defined in memory
+   !! Surface module - SI3 & CICE: parameters & variables defined in memory
    !!======================================================================
-   !! History :  3.0  ! 2006-08  (G. Madec)  Surface module
-   !!            3.2  ! 2009-06  (S. Masson) merge with ice_oce
-   !!            3.3.1! 2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
-   !!            3.4  ! 2011-11  (C. Harris) CICE added as an option
+   !! History :  3.0   !  2006-08  (G. Madec)        Surface module
+   !!            3.2   !  2009-06  (S. Masson)       merge with ice_oce
+   !!            3.3.1 !  2011-01  (A. R. Porter, STFC Daresbury) dynamical allocation
+   !!            3.4   !  2011-11  (C. Harris)       CICE added as an option
+   !!            4.0   !  2018     (many people)     SI3 compatibility
    !!----------------------------------------------------------------------
 #if defined key_si3 || defined key_cice
@@ -16,5 +17,5 @@
    USE sbc_oce          ! surface boundary condition: ocean
 # if defined key_si3
-   USE ice              ! LIM-3 parameters
+   USE ice              ! SI3 parameters
 # endif
 # if defined key_cice
@@ -30,10 +31,10 @@
 
 # if defined  key_si3
-   LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .TRUE.   !: LIM-3 ice model
+   LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .TRUE.   !: SI3 ice model
    LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .FALSE.  !: no CICE 
    CHARACTER(len=1), PUBLIC, PARAMETER ::   cp_ice_msh = 'C'      !: 'C'-grid ice-velocity
 # endif
 # if defined  key_cice
-   LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .FALSE.  !: no LIM-3
+   LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .FALSE.  !: no SI3
    LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .TRUE.   !: CICE ice model
    CHARACTER(len=1), PUBLIC            ::   cp_ice_msh = 'F'      !: 'F'-grid ice-velocity
@@ -76,5 +77,5 @@
 #if defined key_cice
    !
-   ! for consistency with LIM, these are declared with three dimensions
+   ! for consistency with SI3, these are declared with three dimensions
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qlw_ice            !: incoming long-wave
    !
@@ -93,5 +94,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   u_ice, v_ice          ! jpi, jpj
    
-   ! already defined in ice.F90 for LIM3
+   ! already defined in ice.F90 for SI3
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  a_i
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::  h_i, h_s
@@ -167,6 +168,6 @@
    PUBLIC   sbc_ice_alloc   !
 
-   LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .FALSE.  !: no LIM-3 ice model
-   LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .FALSE.  !: no CICE  ice model
+   LOGICAL         , PUBLIC, PARAMETER ::   lk_si3     = .FALSE.  !: no SI3 ice model
+   LOGICAL         , PUBLIC, PARAMETER ::   lk_cice    = .FALSE.  !: no CICE ice model
    CHARACTER(len=1), PUBLIC, PARAMETER ::   cp_ice_msh = '-'      !: no grid ice-velocity
    REAL(wp)        , PUBLIC, PARAMETER ::   cldf_ice = 0.81       !: cloud fraction over sea ice, summer CLIO value   [-]
Index: NEMO/trunk/src/OCE/SBC/sbcblk.F90
===================================================================
--- NEMO/trunk/src/OCE/SBC/sbcblk.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/SBC/sbcblk.F90	(revision 9656)
@@ -535,5 +535,5 @@
       !
 #if defined key_si3
-      qns_oce(:,:) = zqlw(:,:) - zqsb(:,:) - zqla(:,:)                                ! non solar without emp (only needed by LIM3)
+      qns_oce(:,:) = zqlw(:,:) - zqsb(:,:) - zqla(:,:)                                ! non solar without emp (only needed by SI3)
       qsr_oce(:,:) = qsr(:,:)
 #endif
@@ -834,5 +834,5 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   z_dqlw        ! long wave heat sensitivity over ice
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   z_dqsb        ! sensible  heat sensitivity over ice
-      REAL(wp), DIMENSION(jpi,jpj)     ::   zevap, zsnw   ! evaporation and snw distribution after wind blowing (LIM3)
+      REAL(wp), DIMENSION(jpi,jpj)     ::   zevap, zsnw   ! evaporation and snw distribution after wind blowing (SI3)
       REAL(wp), DIMENSION(jpi,jpj)     ::   zrhoa
       !!---------------------------------------------------------------------
Index: NEMO/trunk/src/OCE/SBC/sbcflx.F90
===================================================================
--- NEMO/trunk/src/OCE/SBC/sbcflx.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/SBC/sbcflx.F90	(revision 9656)
@@ -71,5 +71,5 @@
       !!              - emp         upward mass flux (evap. - precip.)
       !!              - sfx         salt flux; set to zero at nit000 but possibly non-zero
-      !!                            if ice is present (computed in limsbc(_2).F90)
+      !!                            if ice is present
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt   ! ocean time step
@@ -120,5 +120,5 @@
          CALL fld_fill( sf, slf_i, cn_dir, 'sbc_flx', 'flux formulation for ocean surface boundary condition', 'namsbc_flx' )
          !
-         sfx(:,:) = 0.0_wp                         ! salt flux due to freezing/melting (non-zero only if ice is present; set in limsbc(_2).F90)
+         sfx(:,:) = 0.0_wp                         ! salt flux due to freezing/melting (non-zero only if ice is present)
          !
       ENDIF
Index: NEMO/trunk/src/OCE/SBC/sbcmod.F90
===================================================================
--- NEMO/trunk/src/OCE/SBC/sbcmod.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/SBC/sbcmod.F90	(revision 9656)
@@ -34,7 +34,7 @@
    USE sbcice_if      ! surface boundary condition: ice-if sea-ice model
 #if defined key_si3
-   USE icestp         ! surface boundary condition: LIM 3.0 sea-ice model
+   USE icestp         ! surface boundary condition: SI3 sea-ice model
 #endif
-   USE sbcice_cice    ! surface boundary condition: CICE    sea-ice model
+   USE sbcice_cice    ! surface boundary condition: CICE sea-ice model
    USE sbcisf         ! surface boundary condition: ice-shelf
    USE sbccpl         ! surface boundary condition: coupled formulation
@@ -216,5 +216,5 @@
       CASE( 0 )                        !- no ice in the domain
       CASE( 1 )                        !- Ice-cover climatology ("Ice-if" model)  
-      CASE( 2 )                        !- LIM3 ice model
+      CASE( 2 )                        !- SI3  ice model
       CASE( 3 )                        !- CICE ice model
          IF( .NOT.( ln_blk .OR. ln_cpl ) )   CALL ctl_stop( 'sbc_init : CICE sea-ice model requires ln_blk or ln_cpl = T' )
@@ -427,5 +427,5 @@
       CASE(  1 )   ;         CALL sbc_ice_if   ( kt )             ! Ice-cover climatology ("Ice-if" model)
 #if defined key_si3
-      CASE(  2 )   ;         CALL ice_stp  ( kt, nsbc )           ! LIM-3 ice model
+      CASE(  2 )   ;         CALL ice_stp  ( kt, nsbc )           ! SI3 ice model
 #endif
       CASE(  3 )   ;         CALL sbc_ice_cice ( kt, nsbc )       ! CICE ice model
Index: NEMO/trunk/src/OCE/nemogcm.F90
===================================================================
--- NEMO/trunk/src/OCE/nemogcm.F90	(revision 9654)
+++ NEMO/trunk/src/OCE/nemogcm.F90	(revision 9656)
@@ -13,5 +13,5 @@
    !!                             P. Delecluse, L.Terray, M.A. Filiberti, J. Vialar, A.M. Treguier, M. Levy) release 8.0
    !!            8.1  ! 1997-06  (M. Imbard, G. Madec)
-   !!            8.2  ! 1999-11  (M. Imbard, H. Goosse)  LIM sea-ice model
+   !!            8.2  ! 1999-11  (M. Imbard, H. Goosse)  sea-ice model
    !!                 ! 1999-12  (V. Thierry, A-M. Treguier, M. Imbard, M-A. Foujols)  OPEN-MP
    !!                 ! 2000-07  (J-M Molines, M. Imbard)  Open Boundary Conditions  (CLIPPER)