Index: NEMO/trunk/tests/WAD/EXP00/namelist_cfg
===================================================================
--- NEMO/trunk/tests/WAD/EXP00/namelist_cfg	(revision 9635)
+++ NEMO/trunk/tests/WAD/EXP00/namelist_cfg	(revision 9659)
@@ -159,10 +159,10 @@
     nn_tra_dta    =  0                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    cn_ice_lim      =  'none'             !
-    nn_ice_lim_dta  =  0                  !  = 0, bdy data are equal to the initial state
+    cn_ice        =  'none'               !
+    nn_ice_dta    =  0                    !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    rn_ice_tem      = 270.                !  lim3 only: arbitrary temperature of incoming sea ice
-    rn_ice_sal      = 10.                 !  lim3 only:      --   salinity           --
-    rn_ice_age      = 30.                 !  lim3 only:      --   age                --
+    rn_ice_tem    = 270.                  !  si3 only: arbitrary temperature of incoming sea ice
+    rn_ice_sal    = 10.                   !  si3 only:      --   salinity           --
+    rn_ice_age    = 30.                   !  si3 only:      --   age                --
 
     ln_tra_dmp    =.false.                !  open boudaries conditions for tracers
Index: NEMO/trunk/tests/WAD/MY_SRC/bdyini.F90
===================================================================
--- NEMO/trunk/tests/WAD/MY_SRC/bdyini.F90	(revision 9635)
+++ NEMO/trunk/tests/WAD/MY_SRC/bdyini.F90	(revision 9659)
@@ -68,5 +68,5 @@
          &             cn_dyn3d, nn_dyn3d_dta, cn_tra, nn_tra_dta,             &
          &             ln_tra_dmp, ln_dyn3d_dmp, rn_time_dmp, rn_time_dmp_out, &
-         &             cn_ice_lim, nn_ice_lim_dta,                             &
+         &             cn_ice, nn_ice_dta,                                     &
          &             rn_ice_tem, rn_ice_sal, rn_ice_age,                     &
          &             ln_vol, nn_volctl, nn_rimwidth, nb_jpk_bdy
@@ -346,5 +346,5 @@
 #if defined key_si3
         IF(lwp) WRITE(numout,*) 'Boundary conditions for sea ice:  '
-        SELECT CASE( cn_ice_lim(ib_bdy) )                  
+        SELECT CASE( cn_ice(ib_bdy) )                  
           CASE('none')
              IF(lwp) WRITE(numout,*) '      no open boundary condition'        
@@ -357,11 +357,11 @@
              dta_bdy(ib_bdy)%ll_ht_i = .true.
              dta_bdy(ib_bdy)%ll_ht_s = .true.
-          CASE DEFAULT   ;   CALL ctl_stop( 'unrecognised value for cn_ice_lim' )
+          CASE DEFAULT   ;   CALL ctl_stop( 'unrecognised value for cn_ice' )
         END SELECT
-        IF( cn_ice_lim(ib_bdy) /= 'none' ) THEN 
-           SELECT CASE( nn_ice_lim_dta(ib_bdy) )                   ! 
+        IF( cn_ice(ib_bdy) /= 'none' ) THEN 
+           SELECT CASE( nn_ice_dta(ib_bdy) )                   ! 
               CASE( 0 )      ;   IF(lwp) WRITE(numout,*) '      initial state used for bdy data'        
               CASE( 1 )      ;   IF(lwp) WRITE(numout,*) '      boundary data taken from file'
-              CASE DEFAULT   ;   CALL ctl_stop( 'nn_ice_lim_dta must be 0 or 1' )
+              CASE DEFAULT   ;   CALL ctl_stop( 'nn_ice_dta must be 0 or 1' )
            END SELECT
         ENDIF
Index: NEMO/trunk/tests/WAD/MY_SRC/usrdef_sbc.F90
===================================================================
--- NEMO/trunk/tests/WAD/MY_SRC/usrdef_sbc.F90	(revision 9635)
+++ NEMO/trunk/tests/WAD/MY_SRC/usrdef_sbc.F90	(revision 9659)
@@ -27,7 +27,7 @@
    PRIVATE
 
-   PUBLIC   usrdef_sbc_oce    ! routine called in sbcmod module
-   PUBLIC   usrdef_sbc_ice_tau  ! routine called by sbcice_lim.F90 for ice dynamics
-   PUBLIC   usrdef_sbc_ice_flx  ! routine called by sbcice_lim.F90 for ice thermo
+   PUBLIC   usrdef_sbc_oce      ! routine called in sbcmod module
+   PUBLIC   usrdef_sbc_ice_tau  ! routine called by icestp.F90 for ice dynamics
+   PUBLIC   usrdef_sbc_ice_flx  ! routine called by icestp.F90 for ice thermo
 
    !! * Substitutions