Index: NEMO/trunk/tests/CANAL/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/tests/CANAL/EXPREF/namelist_cfg	(revision 9678)
+++ NEMO/trunk/tests/CANAL/EXPREF/namelist_cfg	(revision 9718)
@@ -1,6 +1,6 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  CANAL Configuration namelist : overwrite some defaults values defined in SHARED/namelist_ref
+!! NEMO Configuration namelist : overwrite some defaults values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
+!!                          CANAL configuration                       !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -11,24 +11,10 @@
 !!   namwad       Wetting and drying                                    (default: OFF)
 !!   namtsd       data: temperature & salinity                          (default: OFF)
-!!======================================================================
-!
-!-----------------------------------------------------------------------
-&namrun        !   parameters of the run
-!-----------------------------------------------------------------------
-   nn_no       =       0   !  job number (no more used...)
-   cn_exp      =   'CANAL' !  experience name
-   nn_it000    =       1   !  first time step
-   nn_itend    =     100   !  last time step 
-   nn_istate   =       0   !  output the initial state (1) or not (0)
-   nn_stock    =   99999   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =   99999   !  frequency of write in the output file   (modulo referenced to nn_it000)
-/
-!-----------------------------------------------------------------------
-&namdom        !   time and space domain
-!-----------------------------------------------------------------------
-   ln_linssh   =  .false.  !  =T  linear free surface  ==>>  model level are fixed in time
-   rn_rdt      =   1440.   !  time step for the dynamics (and tracer if nn_acc=0)
-   rn_atfp     =   0.05    !  asselin time filter parameter
-/
+!!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
+!!   namc1d       1D configuration options                              ("key_c1d")
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
+!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!======================================================================
+!
 !-----------------------------------------------------------------------
 &namusr_def    !   User defined :   CANAL configuration: Flat bottom, beta-plane
@@ -58,5 +44,22 @@
    rn_lambda   =     50.   ! gaussian lambda
 /
-
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   nn_no       =       0   !  job number (no more used...)
+   cn_exp      =   'CANAL' !  experience name
+   nn_it000    =       1   !  first time step
+   nn_itend    =     100   !  last time step 
+   nn_istate   =       0   !  output the initial state (1) or not (0)
+   nn_stock    =   99999   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =   99999   !  frequency of write in the output file   (modulo referenced to nn_it000)
+/
+!-----------------------------------------------------------------------
+&namdom        !   time and space domain
+!-----------------------------------------------------------------------
+   ln_linssh   =  .false.  !  =T  linear free surface  ==>>  model level are fixed in time
+   rn_rdt      =   1440.   !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_atfp     =   0.05    !  asselin time filter parameter
+/
 !!======================================================================
 !!            ***  Surface Boundary Condition namelists  ***          !!
@@ -79,5 +82,5 @@
 !
 !-----------------------------------------------------------------------
-&namsbc        !   Surface Boundary Condition (surface module)
+&namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
   nn_fsbc     = 1         !  frequency of surface boundary condition computation
@@ -116,5 +119,4 @@
    ln_OFF     = .true.    !  free-slip       : Cd = 0
 /
-
 !!======================================================================
 !!                        Tracer (T & S) namelists                    !!
@@ -162,5 +164,4 @@
    ln_traldf_OFF   =  .true.  !  No explicit diffusion
 /
-
 !!======================================================================
 !!                      ***  Dynamics namelists  ***                  !!
@@ -295,2 +296,29 @@
    nn_trd      = 365       !  print frequency (ln_glo_trd=T) (unit=time step)
 /
+!!======================================================================
+!!               ***  Observation & Assimilation  ***                 !!
+!!                                                                    !!
+!!   namobs       observation and model comparison                      (default: OFF)
+!!   nam_asminc   assimilation increments                               ('key_asminc')
+!!======================================================================
+!
+!!======================================================================
+!!                  ***  Miscellaneous namelists  ***                 !!
+!!                                                                    !!
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi")
+!!   namctl            Control prints                                   (default: OFF)
+!!   namsto            Stochastic parametrization of EOS                (default: OFF)
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints                                       (default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsto        ! Stochastic parametrization of EOS                      (default: OFF)
+!-----------------------------------------------------------------------
+/